# AWS Crop Duster

Fly over your AWS servers and get information that you can query on.
Sometimes, AWS just doesn't give you the information you need.  You want
to build a system that will allow you to query changes in your AWS
stack.  With Crop Duster, you can both query state and transition.

## Running & Installation

Crop Duster is a stand alone application.  Install using a gem file:

    gem install crop-duster

And then execute:

    $ crop-duster import --db=<postgres url> AWS_SECRET=<IAM secret> AWS_KEY=<IAM key> AWS_BILLING_BUCKET=<S3 Bucket>

For best results, schedule to run nightly.

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
