# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'crop_duster/version'

Gem::Specification.new do |spec|
  spec.name          = "crop-duster"
  spec.version       = Crop::Duster::VERSION
  spec.authors       = ["Chris Winslett"]
  spec.email         = ["chris@mongohq.com"]
  spec.description   = %q{Fly low and slow over your AWS servers looking for weeds}
  spec.summary       = %q{A system for AWS server change management.}
  spec.homepage      = "http://www.mongohq.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "rake", "~> 10.1.1"
  spec.add_development_dependency "foreman", "~> 0.63"

  spec.add_dependency "bundler", "~> 1.3"
  spec.add_dependency 'thor', "~> 0.18.1"
  spec.add_dependency 'fog', "~> 1.19.0"
  spec.add_dependency 'activesupport', "~> 4.0.2"
  spec.add_dependency 'activerecord', "~> 4.0.2"
  spec.add_dependency 'pg', "~> 0.17.1"
end
